﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.GridView;

namespace TicketID_238397_ToggleRowDetails
{
    public class DetailsToggleColumn : GridViewColumn
    {
        public override FrameworkElement CreateCellElement(GridViewCell cell, object dataItem)
        {
            var parentRow = cell.ParentRow as GridViewRow;
            if (parentRow != null)
            {
                return new DetailsToggleButton(parentRow);
            }

            return null;
        }

        public override bool CanSort()
        {
            return false;
        }

        public override bool CanGroup()
        {
            return false;
        }

        public override bool CanFilter()
        {
            return false;
        }
    }
}
